\documentclass{beamer}
%\usetheme{default}
%% Chose one of these theme
%\usetheme{Frankfurt}  % 3 options: minimal, sidebarleft, sidebarright
%\usetheme{Singapore}
%\usetheme{Madrid}
\usetheme{Hannover}
%\usetheme{Goettingen}
%\usetheme{CambridgeUS}
%\usetheme{Berkeley}
%\usetheme{Warsaw}

%% End of theme

\title{Java programming}
\author{Ton That Tam Dinh \inst{1} \inst{2}}
%\date{1/2/1997}
\institute[Caltech]
{
	\inst{1}
	Department of Computer Science\\
	Vietnam National University
	\and
	\inst{2}
	Department of Computer Science\\
	California Institute of Technology
}
\date[ICUP, 2014]
{Final Thesis Report\\
	April 1st, 1997}
\AtBeginSection[]
{
	\begin{frame}
	\frametitle{Table of Contents}
	\tableofcontents[currentsection]
\end{frame}
}
%------------------------------------------------------------



\begin{document}

\begin{frame}[plain]
    \maketitle
\end{frame}

\begin{frame}
\frametitle{Table of Contents}
\tableofcontents
\end{frame}

\begin{frame}{References and Textbook}
\begin{itemize}
	\item Java: The Complete Reference,9th Editionby Herbert
	\item Effective Java, 2nd edition by Joshua Bloch
\end{itemize}
\end{frame}

\section{More Details}
\subsection{Arrays}
\begin{frame}{Frame 2nd}
	\end{frame}

\subsection{Command Line Arguments}
\begin{frame}{Frame 2nd}
	\end{frame}

\subsection{For-Each}
\begin{frame}{Frame 2nd}
	\end{frame}

\subsection{Scanner}
\begin{frame}{Frame 2nd}
	\end{frame}

\subsection{Static}
\begin{frame}{Frame 2nd}
	\end{frame}

\subsection{Nested and Inner Classes}
\begin{frame}{Frame 2nd}
\end{frame}


\begin{frame}{Frame 1st}
\end{frame}

\begin{frame}{Frame 2nd}
\end{frame}


\begin{frame}{Frame 3rd}
\end{frame}


\begin{frame}{Frame 4th}
\begin{itemize}
	\item Item 1
	\item Item 1
	\item Item 1
	\item Item 1
\end{itemize}
\end{frame}

\begin{frame}{Frame 5th}
\begin{center}
	\Huge Question?
\end{center}
\end{frame}




\end{document}
